explain_tcflow_or_die(3)

NAME
explain_tcflow_or_die - terminal flow control and report errors
    "terminal flow control and report errors"

SYNOPSIS
#include <libexplain/tcflow.h>

void explain_tcflow_or_die(int fildes, int action);
int explain_tcflow_on_error(int fildes, int action);

DESCRIPTION
The explain_tcflow_or_die function is used to call the tcflow(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcflow(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcflow_on_error function is used to call the tcflow(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcflow(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcflow(3) system call.

action
    The action, exactly as to be passed to the tcflow(3) system call.

RETURN VALUE
The explain_tcflow_or_die function only returns on success, see tcflow(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcflow_on_error function always returns the value return by the wrapped tcflow(3) system call.

EXAMPLE
The explain_tcflow_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcflow_or_die(fildes, action);

SEE ALSO

tcflow(3)
    terminal flow control

explain_tcflow(3)
    explain tcflow(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller